Bug 144595 - <0>Kernel panic - not synching: Fatal exception in interrupt
<0>Kernel panic - not synching: Fatal exception in interrupt
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-08 23:59 EST by Glenn Brumfield
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glenn Brumfield 2005-01-08 23:59:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
8 Jan 05
fc3 downloaded iso's md5sumchecked & burned to cd's.

When booting from CD to upgrade rh9, using either graphic mode or
text-only mode I get error message "kernel crash - fatal exception"
before anything gets installed.

Hardware:
Compaq Proliant 800
dual processors - P2-200 256MB RAM
Hard drive - Compaq WDE4360W 6GB
Network devices - Network Everywhere Fast Ethernet 10/100 model NC100
SCSI devices - LSI/Symbios Logic sym 53c8xx
Sound card - Ensoniq es1370
System devices - Integrated Netflex - 3/P
Video Card - ATI Mach 64 3D Rage 2

I was unable to install fc2 on this machine either; I had hoped fc3
was different. Currently running rh9.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert CD
2.Power up machine
3.Choose graphical or text-only mode (doesn't matter)
4.Watch all the lines of text scroll down the screen until the "kernel
crash - fatal exception" message appears.
    

Actual Results:  Nothing

Expected Results:  Install should have commenced.

Additional info:

I can't print from this machine, but from the bug reports it seems
that there may be an open bug similar to this on the i386 section
(#115458). Maybe the same??? I'm a newbie (can't even get the printer
to work with linux). If  you need the screen output above the error,
I'll have to copy it by hand during an install attempt.

Thank you,
Glenn
Comment 1 Glenn Brumfield 2005-01-09 10:23:02 EST
Corrections:
1) BIOS displays 131072 KB detected.
2) Steps to reproduce - after choosing graphical or text mode, install
begins loading SCSI driver 53c8xx then the screen turns blue for a
long period.

Text above kernel panic:
esi: c041924c  edi: c04191a0  ebp: c027643c  esp: c03ddf18
ds: 007b  es:007b  ss: 0068
Process swapper (pid: 0, thread info=c03dd000 task=c0354bc0)2> next screen
Stack:   00000202 a041924c c041924c 00000000 00000000 c027643c
c0275eba 0000ea68 c0275d62 00000000 00000000 c041924c 00000040
00000000 c02773d5 c7fef600 c7e234ac c7e234ac c041924c 00000040
00000000 c026a04b 00000040 00000000
Call Trace:
[<c027643c>] cdrom_start_read_continuation+0x0/0xb0
[<c0275eba>] cdrom_start_packet_command+0x10c/0x130
[<c0275d62>] cdrom_timer_expiry+0x0/0x4c
[<c02773d5>] ide_do_rw_cdrom+0xdf/0x14b
[<c026a04b>] start_request+0x19f/0x1c0
[<c026a366>] ide_do_request+0x2df/0x3a0
[<c026a851>] ide_timer_expiry+0x35d/0x3da
[<c026a4f4>] ide_timer_expiry+0x0/0x3da
[<c012a9f2>] run_timer_softirq+0x21f/0x321
[<c012680d>] _do_softirq+0x46/0x4d
========================
[<c0108973>] do_IRQ+0x2fd/0x309
[<c030c138>] common_interrupt+0x18/0x20
[<c0104018>] default_idle+0x0/0x26
[<c010403b>] default_idle+0x23/0x26
[<c010403b>] cpu_idle+0x1d/0x32
[<c03b16a6>] start kernel+0x216/0x219
Code: e8 b6 57 eb ff 83 c4 1c c7 05 ac 63 37 c0 01 00 00 00 c7 05 b8
63 37 c0 1d 33 c0 c7 05 bc 63 37 c0 e8 00 00 83 3b 00 74 08 <0f> 0b eb
03 89 1d 33 89 2b 8b 44 24 20 89 83 fc 00 00 00 a1
<0>Kernel panic - not synching: Fatal exception in interrupt
Comment 2 Dave Jones 2005-01-10 23:02:09 EST
if you boot with a vga=1 option, can you capture the top of this message ? A few
lines scrolled off the top.
Comment 3 Glenn Brumfield 2005-01-12 13:02:00 EST
As stated above, I'm an absolute newbie to Linux. That said, I don't know how to
boot with vga=1 option.
What I was doing was a cold boot from FC3 Disk 1 with an installed OS of RH9
with no updates applied (because I hadn't figured out how to update from Fedora
Legacy; I thought it was for Fedora only). I have now found a script that
enables me to point up2date at Fedora Legacy updates, and have applied the
updates. That has changed the Stack call somewhat, but the blue screen still
freezes in the same place with no way to read above the top of the screen that I
know of.
Also, after reading the release notes (I know, should have done that first
*sigh*) it appears that FC3 in graphics mode will require more memory (>128MB)
than is installed on this machine (128MB). I was wrong about the machine having
256MB RAM installed. I guess that means for a newbie like me, I'll need to
figure out what kind of memory this box needs and find it. Hope it doesn't cost
more than the box did!
As a side note, if you know where I can find a primer on how to print from my
linux machine over my LAN to my network-only printer using CUPPs, I will be very
grateful. I bought the printer brand-new 3 months ago and still can't get it to
print in Linux, just Windoze. I can see its web page in Mozilla, but I haven't
been able to print a test page other than over the browsers link from the web
page. BTW, I do mean primer - like telling an average 10 year-old how-to over
the telephone. Thank you.
Comment 4 Dave Jones 2005-07-15 16:03:41 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:45:18 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.